PM_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint8_t SLEEPRDY:1
__I uint8_t:7
} | bit
uint8_t | reg

## Detailed Description

Definition at line 132 of file pm.h.

## Field Documentation

## bit

struct { ... } PM_INTFLAG_Type::bit

Structure used for bit access

## reg

uint8_t PM_INTFLAG_Type::reg

Type used for register access

Definition at line 137 of file pm.h.

## SLEEPRDY

__I uint8_t PM_INTFLAG_Type::SLEEPRDY

bit: 0 Sleep Mode Entry Ready

Definition at line 134 of file pm.h.

## uint8_t

__I PM_INTFLAG_Type::uint8_t

bit: 1.. 7 Reserved

Definition at line 135 of file pm.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/pm.h